KTextEditor::ClipboardDCOPInterface Class Reference

`#include <clipboarddcopinterface.h>`

Inherits DCOPObject.

## Public Member Functions

| ClipboardDCOPInterface (ClipboardInterface *Parent, const char *name)
virtual | ~ClipboardDCOPInterface ()

## Detailed Description

This is the main interface to the ClipboardInterface of KTextEdit.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to ClipboardInterface.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 18 of file clipboarddcopinterface.h.

## Constructor & Destructor Documentation

ClipboardDCOPInterface::ClipboardDCOPInterface | ( | ClipboardInterface * | Parent,
|  | const char * | name
| ) |  |

Construct a new interface object for the text editor.

Parameters

  Parent | the parent ClipboardInterface object that will provide us with the functions for the interface.
  name | the QObject's name

Definition at line 7 of file clipboarddcopinterface.cpp.

ClipboardDCOPInterface::~ClipboardDCOPInterface | ( |  | ) |

virtual

Destructor Cleans up the object.

Definition at line 13 of file clipboarddcopinterface.cpp.

## Member Function Documentation

void ClipboardDCOPInterface::copy | ( |  | ) |

copies selected text

Copies selected text.

Definition at line 21 of file clipboarddcopinterface.cpp.

void ClipboardDCOPInterface::cut | ( |  | ) |

cuts selected text

Cuts selected text.

Definition at line 29 of file clipboarddcopinterface.cpp.

void ClipboardDCOPInterface::paste | ( |  | ) |

pastes selected text

Pastes text from clipboard.

Definition at line 37 of file clipboarddcopinterface.cpp.

The documentation for this class was generated from the following files:

- clipboarddcopinterface.h
- clipboarddcopinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys